Bug 217342 - [MAINTAINER] www/foswiki: update to 2.1.3
Summary: [MAINTAINER] www/foswiki: update to 2.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-25 09:12 UTC by Harlan Stenn
Modified: 2017-03-03 18:56 UTC (History)
2 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments
svn diff for www/foswiki: updates to version 2.1.3 (156.35 KB, patch)
2017-02-27 23:25 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Harlan Stenn 2017-02-25 09:12:50 UTC
I hope it's OK for me to ask about this here - I'm hoping somebody other than me can upgrade the foswiki port from 1.1.9 to 2.1.3.
Comment 1 Chris Hutchinson 2017-02-25 19:11:12 UTC
(In reply to Harlan Stenn from comment #0)
> I hope it's OK for me to ask about this here - I'm hoping somebody other
> than me can upgrade the foswiki port from 1.1.9 to 2.1.3.

It *is* OK. This is *exactly* the right place to ask. :-)
Looks like I've been slacking on this port. I'll see if
I can get something finished in the next couple days.

Thanks for asking, Harlan!

--Chris
Comment 2 Chris Hutchinson 2017-02-27 23:25:21 UTC
Created attachment 180351 [details]
svn diff for www/foswiki: updates to version 2.1.3

This patch updates www/foswiki from version 1.1.9 to version 2.1.3

port changes:
Makefile: updates PORTVERSION
modifies inline patch (sed)

updates distinfo

removes files/patch-minifyjs files/patch-minifycss

HUGE update to pkg-plist

See also: http://foswiki.org/System/ReleaseNotes02x01

for other possibly interesting changes

That's it!

Thanks!

--Chris
Comment 3 Chris Hutchinson 2017-02-27 23:29:07 UTC
(In reply to Chris Hutchinson from comment #2)
> Created attachment 180351 [details]
> svn diff for www/foswiki: updates to version 2.1.3
> 
> This patch updates www/foswiki from version 1.1.9 to version 2.1.3
> 
> port changes:
> Makefile: updates PORTVERSION
> modifies inline patch (sed)
> 
> updates distinfo
> 
> removes files/patch-minifyjs files/patch-minifycss
> 
> HUGE update to pkg-plist
> 
> See also: http://foswiki.org/System/ReleaseNotes02x01
> 
> for other possibly interesting changes
> 
> That's it!
> 
> Thanks!
> 
> --Chris

OH! Forgot to mention; tested good on RELENG_11
Comment 4 Harlan Stenn 2017-03-01 04:04:40 UTC
Chris,

I'm not seeing the new runtime dependencies in your Makefile patch.

From https://foswiki.org/System/SystemRequirements I see it wants apache24, rcs, and perl5.24

There's also a list of perl modules, with a summary below the table that suggests:

pkg install p5-Algorithm-Diff p5-Archive-Tar p5-Authen-SASL p5-CGI p5-CGI-Session p5-Crypt-PasswdMD5 p5-Digest-SHA p5-Email-MIME p5-Encode p5-Error p5-File-Copy-Recursive p5-HTML-Parser p5-HTML-Tree p5-IO-Socket-IP p5-IO-Socket-SSL p5-JSON p5-Locale-Maketext p5-Locale-Maketext-Lexicon p5-Locale-Msgfmt p5-libwww p5-LWP-Protocol-https p5-URI p5-version
Comment 5 Chris Hutchinson 2017-03-01 05:45:28 UTC
(In reply to Harlan Stenn from comment #4)
> Chris,
> 
> I'm not seeing the new runtime dependencies in your Makefile patch.
> 
> From https://foswiki.org/System/SystemRequirements I see it wants apache24,
> rcs, and perl5.24
> 
> There's also a list of perl modules, with a summary below the table that
> suggests:
> 
> pkg install p5-Algorithm-Diff p5-Archive-Tar p5-Authen-SASL p5-CGI
> p5-CGI-Session p5-Crypt-PasswdMD5 p5-Digest-SHA p5-Email-MIME p5-Encode
> p5-Error p5-File-Copy-Recursive p5-HTML-Parser p5-HTML-Tree p5-IO-Socket-IP
> p5-IO-Socket-SSL p5-JSON p5-Locale-Maketext p5-Locale-Maketext-Lexicon
> p5-Locale-Msgfmt p5-libwww p5-LWP-Protocol-https p5-URI p5-version

That's because you're not reading it correctly. ;-)
The test build I performed to create the svn diff for this pr(1)
indicated those modules were all installed as MAKE && RUN_DEPENDS.
To confirm. I just fired up transcript ( script(1) ) ran another test
build. All the modules are installed, as well as the list you've given
here. pkg(8) also confirms it. :-)

P.S. Since you initiated this pr(1), I don't have the ability to
change the title. If you change the title to:

www/foswiki: [MAINTAINER] update to 2.1.3

this will likely get quicker attention from a committer. } else {
I'll open a new one. :-)

All the best.

--Chris
Comment 6 Harlan Stenn 2017-03-01 08:33:30 UTC
(In reply to Chris Hutchinson from comment #5)

Thanks a bunch, Chris!
Comment 7 commit-hook freebsd_committer 2017-03-03 18:54:51 UTC
A commit references this bug:

Author: robak
Date: Fri Mar  3 18:53:54 UTC 2017
New revision: 435357
URL: https://svnweb.freebsd.org/changeset/ports/435357

Log:
  www/foswiki: update 1.1.9 -> 2.1.3

  PR:		217342
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com> (maintainer)

Changes:
  head/www/foswiki/Makefile
  head/www/foswiki/distinfo
  head/www/foswiki/pkg-plist
Comment 8 Bartek Rutkowski freebsd_committer 2017-03-03 18:56:25 UTC
Committed, thanks!